[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetRLimit

Get process resource limits

## Declaration

Source position: bunxh.inc line 113

`function FpGetRLimit(`
`resource: cint;`
`rlim: PRLimit`
`):cint;`

## Description

FpGetRLimit gets the resource limits for the current process: resource determines the resource of which the kernel should return the limits (one of the many RLIMIT_* constants). rlim should point to a TRLimit record and on success will contain the resource limits.

The function returns zero if the resource limits were correctly returned.

## Errors

On error, -1 is returned and fpgeterrno can be used to retrieve the error code.

## See also

FpSetRLimit |  | Set process resource limits

Documentation generated on: Feb 26 2014